Subject: [urn] URN request for Open Networking Foundation (ONF)

From: Scott Mansfield <[email-masked]>
Date: Tue, 22 May 2018 12:47:36 +0000

Attached is a template (formatted as an I-D) for a URN request for the ONF.  Please contact [email-masked]<mailto:[email-masked]> if there are questions or clarifications needed about the request.

The URN request is attached, and the ONF plan for URN management can be found here --> https://wiki.opennetworking.org/download/attachments/325386251/ONF%20URN%20Management.pdf?version=1&modificationDate=1526608343229&api=v2

Regards,
-scott.

Scott Mansfield
Ericsson Inc.
+1 724 931 9316

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 22 May 2018 11:12:26 -0600

Hi Scott,

Thanks for posting this. Please note that both RFC 2141 and RFC 3406
have been replaced by RFC 8141, and that the registration template has
changed as well:

https://tools.ietf.org/html/rfc8141#appendix-A

Your registration follows the old (RFC 3406) template, but it should be
fairly straightforward to update it.

It might helpful to provide a bit more information about the purpose and
syntax of the identifiers that ONF plans to create (e.g., the syntax is
more fully defined in the PDF file than in the registration).

Peter

On 5/22/18 6:47 AM, Scott Mansfield wrote:
> Attached is a template (formatted as an I-D) for a URN request for the
> ONF.  Please contact [email-masked]
> <mailto:[email-masked]> if there are questions or
> clarifications needed about the request. 
> 
>  
> 
> The URN request is attached, and the ONF plan for URN management can be
> found here à
> https://wiki.opennetworking.org/download/attachments/325386251/ONF%20URN%20Management.pdf?version=1&modificationDate=1526608343229&api=v2
> <https://wiki.opennetworking.org/download/attachments/325386251/ONF%20URN%20Management..pdf?version=1&modificationDate=1526608343229&api=v2>
> 
> 
>  
> 
> Regards,
> 
> -scott.
> 
>  
> 
> Scott Mansfield
> 
> Ericsson Inc.
> 
> +1 724 931 9316
> 
>  
> 
> 
> 
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn
>

---

From: Scott Mansfield <[email-masked]>
Date: Tue, 22 May 2018 18:35:47 +0000

Here is an updated document that uses the sections found in Appendix A of RFC 8141.  I also added an example of how the ONF will use the area under the onf assignment.

Let me know if you need any further clarifications.

Thanks,
-scott.

-----Original Message-----
From: Peter Saint-Andre [mailto:[email-masked]] 
Sent: Tuesday, May 22, 2018 1:12 PM
To: Scott Mansfield <[email-masked]>; [email-masked]
Subject: Re: [urn] URN request for Open Networking Foundation (ONF)

Hi Scott,

Thanks for posting this. Please note that both RFC 2141 and RFC 3406 have been replaced by RFC 8141, and that the registration template has changed as well:

Your registration follows the old (RFC 3406) template, but it should be fairly straightforward to update it.

It might helpful to provide a bit more information about the purpose and syntax of the identifiers that ONF plans to create (e.g., the syntax is more fully defined in the PDF file than in the registration).

Peter

On 5/22/18 6:47 AM, Scott Mansfield wrote:
> The URN request is attached, and the ONF plan for URN management can 
> be found here à
> https://wiki.opennetworking.org/download/attachments/325386251/ONF%20U
> RN%20Management.pdf?version=1&modificationDate=1526608343229&api=v2
> <https://wiki.opennetworking.org/download/attachments/325386251/ONF%20
> URN%20Management..pdf?version=1&modificationDate=1526608343229&api=v2>
> 
> 
>  
> 
> Regards,
> 
> -scott.
> 
>  
> 
> Scott Mansfield
> 
> Ericsson Inc.
> 
> +1 724 931 9316
> 
>  
> 
> 
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 22 May 2018 12:50:36 -0600

> Let me know if you need any further clarifications.

Thanks for the quick turnaround!

Three small points:

1. I'd move most of what's in Section 2.11 to Section 2.6, and leave
just the pointer to [5] in 2.11.

2. I'm not sure we want to reference RFC 1737, and certainly not in a
normative fashion (because it's an informational RFC).

3. RFC 8141 should be a normative reference.

Also, these days you don't need to write an Internet-Draft in order to
register a URN namespace - RFC 8141 changed the process from "IETF
Consensus" to "Expert Review". There are a few more reviewers on this
list, and I'll ping them in a few days if we don't hear from them.

Thanks again, Scott.

Peter